Method: projects.locations.instances.upgrade

Upgrades a notebook instance to the latest version.

HTTP request

POST https://notebooks.googleapis.com/v2/{name}:upgrade

Path parameters

Parameters
name

string

Required. Format: projects/{projectId}/locations/{location}/instances/{instanceId}

Authorization requires the following IAM permission on the specified resource name:

  • notebooks.instances.upgrade

Request body

The request body contains data with the following structure:

JSON representation
{
  "imageFamily": string
}
Fields
imageFamily

string

Optional. The Compute Engine image family resource name to upgrade to. Format: projects/{projectId}/global/images/family/{imageFamily} If specified, the instance will be upgraded to the latest image in the specified image family, allowing upgrades across image families. If not specified, the instance will be upgraded to the latest image in its current image family.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

For more information, see the Authentication Overview.